package cn.com.qmth.examcloud.bridge;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * 启动类
 *
 * @author WANGWEI
 * @date 2019年10月12日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Configuration
@ComponentScan(basePackages = {"cn.com.qmth"})
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class BridgeApp {

    static {
        if (System.getProperty("log.commonLevel") == null) {
            System.setProperty("log.commonLevel", "INFO");
        }
        System.setProperty("hibernate.dialect.storage_engine", "innodb");
    }

    /**
     * main
     *
     * @param args
     * @author WANGWEI
     */
    public static void main(String[] args) {
        // AppBootstrap.run(BridgeApp.class, args);
        SpringApplication.run(BridgeApp.class, args);
    }

}
